## -*- mode: conf; -*-

<%text>############################################################</%text>
#
# config for ${name} web app
#
<%text>############################################################</%text>


<%text>##############################</%text>
# rattail
<%text>##############################</%text>

[rattail.config]
include = %(here)s/rattail.conf

[tailbone]
products.print_labels = false


<%text>##############################</%text>
# pyramid
<%text>##############################</%text>

[app:main]
use = egg:${egg_name}

# TODO: you should probably disable these first two for production
pyramid.reload_templates = true
pyramid.debug_all = true
pyramid.default_locale_name = en
# pyramid.includes = pyramid_debugtoolbar

beaker.session.type = file
beaker.session.data_dir = %(here)s/sessions/data
beaker.session.lock_dir = %(here)s/sessions/lock
# TODO: you should change this
beaker.session.secret = XXXXXXXXXXXXXXXXXXXX
beaker.session.key = ${slug}

exclog.extra_info = true

# required for tailbone
rattail.config = %(__file__)s

[server:main]
use = egg:waitress#main
host = 0.0.0.0
port = 9761

# NOTE: this is needed for local reverse proxy stuff to work with HTTPS
# https://docs.pylonsproject.org/projects/waitress/en/latest/reverse-proxy.html
# https://docs.pylonsproject.org/projects/waitress/en/latest/arguments.html
# trusted_proxy = 127.0.0.1

# TODO: leave this empty if proxy serves as root site, e.g. http://rattail.example.com/
# url_prefix =

# TODO: or, if proxy serves as subpath of root site, e.g. http://rattail.example.com/backend/
# url_prefix = /backend


<%text>##############################</%text>
# logging
<%text>##############################</%text>

[handler_console]
level = INFO

[handler_file]
# TODO: you probably should change this to absolute path
args = ('app/log/web.log', 'a', 1000000, 100, 'utf_8')
