## -*- coding: utf-8; mode: python; -*-
# -*- coding: utf-8; -*-
"""
Tasks for ${name}
"""

import os
import shutil

from invoke import task


here = os.path.abspath(os.path.dirname(__file__))
exec(open(os.path.join(here, '${python_name}', '_version.py')).read())


@task
def release(ctx):
    """
    Release a new version of ${name}
    """
    # rebuild local tar.gz file for distribution
    shutil.rmtree('${egg_name}.egg-info')
    ctx.run('python setup.py sdist --formats=gztar')

    # TODO: uncomment and update these details, to upload to private PyPI
    #filename = '${python_project_name}-{}.tar.gz'.format(__version__)
    #ctx.run('scp dist/{} rattail@pypi.example.com:/srv/pypi/${slug}/'.format(filename))
