# -*- coding: utf-8; mode: python; -*-
"""
${name} commands
"""

import sys

from rattail import commands

from ${python_name} import __version__


def main(*args):
    """
    Main entry point for ${name} command system
    """
    args = list(args or sys.argv[1:])
    cmd = Command()
    cmd.run(*args)


class Command(commands.Command):
    """
    Main command for ${name}
    """
    name = '${python_name}'
    version = __version__
    description = "${name} (custom Rattail system)"
    long_description = ''


class HelloWorld(commands.Subcommand):
    """
    The requisite 'hello world' example
    """
    name = 'hello'
    description = __doc__.strip()

    def run(self, args):
        self.stdout.write("hello world!\n")
